OpenNMS API 1.2.9

## org.opennms.netmgt.outage
Class DbUtil

    java.lang.Object
      org.opennms.netmgt.outage.DbUtil

public class DbUtil
extends java.lang.Object

Author:
  brozow TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Constructor Summary
`DbUtil()`

Method Summary
`static void` `close(java.sql.Connection dbConn)`
`static void` `commit(java.sql.Connection dbConn, java.lang.String successMsg, java.lang.String failMsg)`
`static boolean` `countQueryIsPositive(java.sql.PreparedStatement openStmt)`
`static int` `executeCountQuery(java.sql.PreparedStatement openStmt)`
`static void` `rollback(java.sql.Connection dbConn, java.lang.String msg, java.sql.SQLException se)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DbUtil

    public DbUtil()

Method Detail

### countQueryIsPositive

    public static boolean countQueryIsPositive(java.sql.PreparedStatement openStmt)
                                        throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### executeCountQuery

    public static int executeCountQuery(java.sql.PreparedStatement openStmt)
                                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### close

    public static void close(java.sql.Connection dbConn)

### rollback

    public static void rollback(java.sql.Connection dbConn,
                                java.lang.String msg,
                                java.sql.SQLException se)

### commit

    public static void commit(java.sql.Connection dbConn,
                              java.lang.String successMsg,
                              java.lang.String failMsg)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.